Bug 126410 - CAN-2004-0495 Sparse security fixes backported for 2.4 kernel (ipf)
Summary: CAN-2004-0495 Sparse security fixes backported for 2.4 kernel (ipf)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-21 10:08 UTC by Mark J. Cox
Modified: 2013-03-06 05:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 14:41:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:327 normal SHIPPED_LIVE Important: kernel security update 2004-08-18 04:00:00 UTC

Description Mark J. Cox 2004-06-21 10:08:02 UTC
Recently committed to the 2.6 kernel were enhancements from Al Viro
that enabled the Sparse source code checking tool to check for a
certain class kernel bugs. This class of bugs can lead to privilege
escalation vulnerabilities.  Some of these fixes also apply to the 2.4
kernel and have been backported:

1. Direct write to a user-supplied address which can lead to privilege
escalation in the mpu401 and pss sound drivers.

2. Direct read of a user-supplied address can cause information leak
from kernel memory in the airo wireless driver, and the mpu401 and pss
sound drivers.

3. Deadlock in the msnd sound driver.

Comment 1 John Flanagan 2004-08-18 14:41:55 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-327.html



Note You need to log in before you can comment on or make changes to this bug.